<?php
	session_start();
	$ruta="../../../";
	include_once($ruta."class/credito.php");
	$credito=new credito;
	include_once($ruta."class/creditodetalle.php");
	$creditodetalle=new creditodetalle;
	include_once($ruta."class/creditomov.php");
	$creditomov=new creditomov;
	include_once($ruta."class/grupocredito.php");
	$grupocredito=new grupocredito;
	include_once($ruta."class/grupo.php");
	$grupo=new grupo;
	include_once($ruta."class/dominio.php");
	$dominio=new dominio;
	extract($_POST);
	$fecha=date("Y-m-d");
	$gcred=$grupocredito->muestra($idgrupoc);
	$dgr=$grupo->muestra($gcred['idgrupo']);

	$cuota=$gcred['nrocuotas'];
	foreach($credito->mostrarTodo("idgrupocredito=".$idgrupoc." and estadocobro=1 and tipocredito=0") as $f)
	{
		$idcredito=$f['idcredito'];
		$cuotasP=$cuota;
		$fechapago=$f['fechaproxve'];
		$cuenta=$f['cuenta'];
		$saldo=$f['saldo'];
		$estadoAnt=$f['estadocredito'];

		$valcredito=array(
			"saldo"=>"'0'",
			"saldoCI"=>"'0'",
			"estadocredito"=>"'5'",
			"estado"=>"'0'",
	 	);
		$credito->actualizar($valcredito,$idcredito);
		
			$valores2=array(
				"idcredito"=>"'$idcredito'",
				"codoperacion"=>"'0'",
				"cuenta"=>"'$cuenta'",
				"fecha"=>"'$fecha'",
				"cuota"=>"'$cuotasP'",
				"monto"=>"'$saldo'",
				"saldoant"=>"'$saldo'",
				"saldo"=>"'0'",
				"glosa"=>"'CIERRE DE CUOTA'",
				"estadoant"=>"'$estadoAnt'",
				"estado"=>"'5'"
		 	);	
			$creditodetalle->insertar($valores2);
		
	}
	$valcredito=array(
		"estadocredito"=>"'13'",
		"estado"=>"'10'",
		"cuota"=>"'$cuota'",
 	);
	$grupocredito->actualizar($valcredito,$idgrupoc);
	$nuevoCiclo=$dgr['idciclo']+1;
	$valcredito=array(
		"idciclo"=>"'$nuevoCiclo'"
 	);
	$grupo->actualizar($valcredito,$dgr['idgrupo']);
	?>
		<script type="text/javascript">
		swal({
			title: "Listo",
			text: "Ciclo cerrado correctamente",
			type: "success",
			showCancelButton: false,
			confirmButtonColor: "#28e29e",
			confirmButtonText: "OK",
			closeOnConfirm: false
          }, function () {
			location.reload();
          });
		</script>
	<?php

?>